package com.qmth.teachcloud.report.business.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.qmth.teachcloud.common.base.BaseEntity;
import com.qmth.teachcloud.report.business.bean.dto.BasicExamCourseDataMd5;
import com.qmth.teachcloud.report.business.enums.PublishStatusEnum;
import com.qmth.teachcloud.report.business.enums.TestStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * <p>
 * 考试科目表
 * </p>
 *
 * @author wangliang
 * @since 2021-06-02
 */
@ApiModel(value = "TBExamCourse对象", description = "考试科目表")
public class TBExamCourse extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "学校id")
    @TableField(value = "school_id")
    private Long schoolId;

    @ApiModelProperty(value = "考试id")
    @TableField(value = "exam_id")
    private Long examId;

    @ApiModelProperty(value = "科目编号")
    @TableField(value = "course_code")
    private String courseCode;

    @ApiModelProperty(value = "科目名称")
    @TableField(value = "course_name")
    private String courseName;

    @ApiModelProperty(value = "测试状态（UN_TEST：未测试、TEST：已测试、CHECKED：已抽检）")
    @TableField(value = "test_status")
    private TestStatusEnum testStatus;

    @ApiModelProperty(value = "发布状态（UN_COMPUTE：未计算、UN_PUBLISH：未发布、PUBLISH：已发布）")
    @TableField(value = "publish_status")
    private PublishStatusEnum publishStatus;

    @ApiModelProperty(value = "试卷类型")
    @TableField(value = "paper_type")
    private String paperType;

    @ApiModelProperty(value = "开课学院id")
    @TableField(value = "teach_college_id")
    private Long teachCollegeId;

    @ApiModelProperty(value = "开课学院名称")
    @TableField(value = "teach_college_name")
    private String teachCollegeName;

    @ApiModelProperty(value = "开放接口获取的数据md5记录")
    @TableField(value = "open_data_md5")
    private String openDataMd5;

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public TestStatusEnum getTestStatus() {
        return testStatus;
    }

    public void setTestStatus(TestStatusEnum testStatus) {
        this.testStatus = testStatus;
    }

    public PublishStatusEnum getPublishStatus() {
        return publishStatus;
    }

    public void setPublishStatus(PublishStatusEnum publishStatus) {
        this.publishStatus = publishStatus;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

    public Long getTeachCollegeId() {
        return teachCollegeId;
    }

    public void setTeachCollegeId(Long teachCollegeId) {
        this.teachCollegeId = teachCollegeId;
    }

    public String getTeachCollegeName() {
        return teachCollegeName;
    }

    public void setTeachCollegeName(String teachCollegeName) {
        this.teachCollegeName = teachCollegeName;
    }

    public String getOpenDataMd5() {
        return openDataMd5;
    }

    public void setOpenDataMd5(String openDataMd5) {
        this.openDataMd5 = openDataMd5;
    }
}
